
% Example file for using SimTools with Finesse

clear all;

% create FT variable, which contains the path to 'kat'
FT=FT_create_new_FT();
FT=FT_check_for_kat_binary(FT);

% create a new 'run' variable
Run1=FT_create_new_kat_run();
% set the 'run' filename to 'testblock', i.e.
% Finesse can be called via Run1 to run the file 
% testblock.kat
Run1.filename='testblock';

% run Finesse and read data from testblock.out
Run1=FT_run_kat_simulation(FT,Run1);

% clean directory again
FT_kat_clean(Run1);