function FT_finesse_plot_interpolation_data( interp_data, KNM)

    ix=1:1:max(size(interp_data.(KNM).X));

    X = interp_data.(KNM).X(ix);
    Y = interp_data.(KNM).Y(ix);
    
    figure();
    
    Z = abs(interp_data.(KNM).Z(ix));
    scatter(X,Y,2,Z);
    title(sprintf('Magnitude of interpolated values for K%s',KNM));
    xlabel('x [m]');
    ylabel('y [m]');
    colormap(FT_neg_colormap)
    
    figure();
    
    Z = angle(interp_data.(KNM).Z(ix));
    scatter(X,Y,2,Z);
    title(sprintf('Phase of interpolated values for K%s',KNM));
    xlabel('x [m]');
    ylabel('y [m]');
    
    colormap(FT_neg_colormap)
end

