function [ Sg ] = FT_bayer_helms_Su( n1,n2,X,X_bar,F,F_bar)
%FT_BAYER_HELMS_SG Summary of this function goes here
%   Detailed explanation goes here
    Sg = 0;

    if n1 > 0 && n2 > 0
        if mod(n1-1,2) == 0
            mu1_max = n1/2;
        else
            mu1_max = (n1-1)/2;
        end

        if mod(n2-1,2) == 0
            mu2_max = n2/2;
        else
            mu2_max = (n2-1)/2;
        end

        Sg = 0;

        for mu1 = 0:mu1_max
            for mu2 = 0:mu2_max

                sig_max = min(mu1,mu2);

                tmp = 0;

                for sig = 0:sig_max
                    tmp = tmp + (-1)^sig * F_bar^(mu1-sig) * F^(mu2-sig) / (factorial(2*sig+1) * factorial(mu1-sig) * factorial(mu2 - sig));
                end

                Sg = Sg + tmp * (-1)^mu1 * X_bar^(n1-2*mu1-1) * X^(n2-2*mu2-1) / (factorial(n1-2*mu1-1) * factorial(n2 - 2*mu2-1));
            end
        end
    end
end

