%--------------------------------------------------------------------------
% function Vq = FT_interp2(varargin)
%
% Exactly the same as the normal matlab interp2 but replaces out of bound
% nans with 0's
%
% Part of the Simtools package, http://www.gwoptics.org/simtools
% Daniel Brown   26.02.2013
%------------------------
function Vq = FT_interp2(varargin)

    Vq = interp2(varargin{:});
    
    Vq(isnan(Vq)) = 1;

end

