%----------------------------------------------------------------
% function [x,y] = base(noplot)
% Matlab function to plot Finesse output data
% Usage: 
%   [x,y] = base    : plots and returns the data
%   [x,y] = base(1) : just returns the data
%           base    : just plots the data
% Created automatically Thu May 23 17:40:14 2013
% by Finesse 1.0 (0.99.9-241-gfa85c49), 13.05.2013
%----------------------------------------------------------------
function [x,y] = base(noplot)

data = load('base.out');
[rows,cols]=size(data);
x=data(:,1);
y=data(:,2:cols);
mytitle='base                Thu May 23 17:40:14 2013';
if (nargin==0)

figure('name','base');
plot(x, y(:,1));
legend(' n2');
set(gca, 'YScale', 'lin');
ylabel('Abs ');
set(gca, 'XLim', [0 1e-06]);
xlabel('xbeta [rad] (m1)');
grid on;
title(mytitle);
end

switch nargout
 case {0}
  clear x y;
 case {2}
 otherwise
  error('wrong number of outputs');
end
