% function [x y] = FT_map_XY( map )
%
% Returns the x and y values of points for a given map.
%
% Daniel Brown 21/01/2013
function [x, y] = FT_map_XY( map )
    rows = size(map.data, 1);
    cols = size(map.data, 2);
    
    x_index=linspace(1,cols,cols);
    y_index=linspace(1,rows,rows);
    x=(x_index-(map.x0))*map.xstep;
    y=(y_index-(map.y0))*map.ystep;
end

