clear all
lambda=1064e-9; % wavelength
p=3; % mode index of LG mode
l=3; % mode index of LG mode
w=1e-3; % beam size on SLM in meter
xpoints=400; 
ypoints=400;
xsize=10e-3; % size of SLM in meter
ysize=10e-3; % size of SLM in meter
contour=0;   % use amplitude contouring (0/1)
xangle=5e-3;
yangle=0e-3;
windowsize=[500.0 500.0]; % screensize of SLM in pixel

phaseplate=FT_LGhelixplate(lambda,xpoints,ypoints,xsize,ysize,p,l,w,xangle,yangle,contour);
%phaseplate=FT_LGcosplate(lambda,xpoints,ypoints,xsize,ysize,p,l,w,xangle,yangle,contour);
%phaseplate=FT_HGplate(lambda,xpoints,ypoints,xsize,ysize,p,l,w,xangle,yangle,contour);
FT_display_phaseplate(phaseplate, windowsize)

