%---------------------------------------------------------------------
% Data File: help_info_out
% Stores information about all functions in "C:\SVN\simtools\trunk\src\new"
% Last Updated: 2010-07-30 14:22:53.382000
%---------------------------------------------------------------------
index(1).name = 'FT_help';
index(1).path = 'C:\SVN\simtools\trunk\src\new';
index(1).description = [{'NO_DESCRIPTION'}];
index(1).keys = [{'NO_MARKER'}];
index(1).cats = [{'all'}];
index(2).name = 'FT_ABCD_lens';
index(2).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(2).description = [{'Computes the ABCD Matrix for a thin lens of focal lengh f'}];
index(2).keys = [{'matrix'},{'thin'},{'lens'}];
index(2).cats = [{'all'},{'ABCD'}];
index(3).name = 'FT_ABCD_mirror';
index(3).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(3).description = [{'Computes the ABCD Matrix for the reflection of a curved mirror'},{'or beam splitter'}];
index(3).keys = [{'reflection'},{'mirror'},{'splitter'},{'matrix'}];
index(3).cats = [{'all'},{'ABCD'}];
index(4).name = 'FT_ABCD_space';
index(4).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(4).description = [{'Computes the ABCD Matrix for a free space propagation of length L'}];
index(4).keys = [{'matrix'},{'space'},{'propagation'}];
index(4).cats = [{'all'},{'ABCD'}];
index(5).name = 'FT_cavity_ABCD_to_q';
index(5).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(5).description = [{'Computes the Gaussian beam parameter of cavity eigenmodes'}];
index(5).keys = [{'cavity'},{'eigenmode'},{'Gaussian'},{'parameter'},{'q'}];
index(5).cats = [{'all'},{'ABCD'}];
index(6).name = 'FT_check_cavity_ABCD';
index(6).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(6).description = [{'computes the stability parameter m from the ABCD matrix of an'},{'optical resonator'}];
index(6).keys = [{'stability'},{'parameter'},{'m'},{'resonator'},{'check'},{'cavity'},{'m'}];
index(6).cats = [{'all'},{'ABCD'}];
index(7).name = 'FT_compute_cavity_ABCD';
index(7).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(7).description = [{'Computes the ABCD matrix and stability parameter'},{'for an optical resonator'}];
index(7).keys = [{'matrix'},{'stability'},{'parameter'},{'compute'},{'cavity'},{'m'}];
index(7).cats = [{'all'},{'ABCD'}];
index(8).name = 'FT_invert_ABCD';
index(8).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(8).description = [{'Computes the inverse of an ABCD matrix'}];
index(8).keys = [{'inverse'},{'matrix'},{'invert'}];
index(8).cats = [{'all'},{'ABCD'}];
index(9).name = 'FT_multiply_ABCDs';
index(9).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(9).description = [{'Multiplies two ABCD matrices'}];
index(9).keys = [{'multiply'},{'multiplication'},{'matrix'}];
index(9).cats = [{'all'},{'ABCD'}];
index(10).name = 'FT_q_ABCD_q';
index(10).path = 'C:\SVN\simtools\trunk\src\new\ABCD';
index(10).description = [{'Transforms a Gaussian beam parameter by an ABCD matrix'}];
index(10).keys = [{'transform'},{'Gaussian'},{'parameter'},{'q'}];
index(10).cats = [{'all'},{'ABCD'}];
index(11).name = 'FT_blur_data';
index(11).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(11).description = [{'Blurs a 2D data array with a Gaussian filter'}];
index(11).keys = [{'blur'},{'2D'},{'Gaussian'},{'filter'},{'data'}];
index(11).cats = [{'all'},{'beam_analysis'}];
index(12).name = 'FT_box_data';
index(12).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(12).description = [{'Selects a subset of a 2D data grid,'},{'such that it contains all data > threshold'}];
index(12).keys = [{'box'},{'data'},{'subset'},{'2D'},{'threshold'}];
index(12).cats = [{'all'},{'beam_analysis'}];
index(13).name = 'FT_center_of_mass';
index(13).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(13).description = [{'Computes the center of mass of a data array and returns the coordinates'}];
index(13).keys = [{'center'},{'centre'},{'mass'},{'com'},{'data'}];
index(13).cats = [{'all'},{'beam_analysis'}];
index(14).name = 'FT_clipping_loss_LG';
index(14).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(14).description = [{'Computes the clipping loss experienced by a '},{'helical LG beam on a circular mirror'}];
index(14).keys = [{'clipping'},{'loss'},{'LG'},{'helical'}];
index(14).cats = [{'all'},{'beam_analysis'}];
index(15).name = 'FT_conv_fields';
index(15).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(15).description = [{'Computes the scalar product between two complex 2D data arrays'}];
index(15).keys = [{'scalar'},{'dot'},{'product'},{'2D'},{'conv'},{'fields'}];
index(15).cats = [{'all'},{'beam_analysis'}];
index(16).name = 'FT_CON_field';
index(16).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(16).description = [{'Fills a 2D grip with the field amplitudes for '},{'a conical beam at the waist'}];
index(16).keys = [{'2D'},{'fill'},{'conical'},{'amplitude'},{'waist'}];
index(16).cats = [{'all'},{'beam_analysis'}];
index(17).name = 'FT_fit_GaussBeam';
index(17).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(17).description = [{'Fits a Gaussian mode shape to a 2D data grid'}];
index(17).keys = [{'Gaussian'},{'mode'},{'fit'},{'2D'}];
index(17).cats = [{'all'},{'beam_analysis'}];
index(18).name = 'FT_fit_GaussBeam_intensity';
index(18).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(18).description = [{'Fits a Gaussian mode shape to a 2D data grid'}];
index(18).keys = [{'Gaussian'},{'mode'},{'fit'},{'2D'}];
index(18).cats = [{'all'},{'beam_analysis'}];
index(19).name = 'FT_fit_LG';
index(19).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(19).description = [{'Fits an LG mode shape to a 2D data grid'}];
index(19).keys = [{'fit'},{'LG'},{'mode'},{'2D'}];
index(19).cats = [{'all'},{'beam_analysis'}];
index(20).name = 'FT_gauss_coefficients_to_field';
index(20).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(20).description = [{'Computes a complex field array from '},{'a set of Gaussian mode coefficients'}];
index(20).keys = [{'Gaussian'},{'mode'},{'coefficient'},{'field'}];
index(20).cats = [{'all'},{'beam_analysis'}];
index(21).name = 'FT_get_mode_coefficient';
index(21).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(21).description = [{'Returns the value of a mode coefficient in a structure "gc"'}];
index(21).keys = [{'get'},{'mode'},{'coefficient'},{'gc'}];
index(21).cats = [{'all'},{'beam_analysis'}];
index(22).name = 'FT_guess_center_LG';
index(22).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(22).description = [{'Guesses the center of an LG mode shape in a given 2D array'}];
index(22).keys = [{'guess'},{'center'},{'centre'},{'LG'},{'mode'},{'shape'},{'2D'}];
index(22).cats = [{'all'},{'beam_analysis'}];
index(23).name = 'FT_guess_size_LG';
index(23).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(23).description = [{'Tries to guess the size of an LG mode shape in a given 2D array'}];
index(23).keys = [{'guess'},{'size'},{'LG'},{'mode'},{'2D'}];
index(23).cats = [{'all'},{'beam_analysis'}];
index(24).name = 'FT_HG_field';
index(24).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(24).description = [{'Fills a 2D grid with complex field amplitudes for a Hermite-Gauss beam'}];
index(24).keys = [{'fill'},{'2D'},{'HG'},{'field'},{'amplitude'},{'Hermite'},{'Gauss'}];
index(24).cats = [{'all'},{'beam_analysis'}];
index(25).name = 'FT_init_gauss_coefficients';
index(25).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(25).description = [{'Returns an empty array for storing mode coefficients'}];
index(25).keys = [{'mode'},{'Gaussian'},{'coefficients'},{'empty'}];
index(25).cats = [{'all'},{'beam_analysis'}];
index(26).name = 'FT_LG_cos_field';
index(26).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(26).description = [{'Fills a 2D grid with complex field amplitudes for'},{'a (co-)sinusoidal Laguerre-Gauss beam'}];
index(26).keys = [{'LG'},{'cos'},{'field'},{'fill'},{'2D'},{'amplitude'},{'Laguerre'},{'Gauss'}];
index(26).cats = [{'all'},{'beam_analysis'}];
index(27).name = 'FT_LG_field';
index(27).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(27).description = [{'Fills a 2D grid with complex field amplitudes '},{'for a Laguerre-Gauss beam'}];
index(27).keys = [{'LG'},{'field'},{'fill'},{'2D'},{'amplitude'},{'Laguerre'},{'Gauss'}];
index(27).cats = [{'all'},{'beam_analysis'}];
index(28).name = 'FT_mode_coefficients_to_field';
index(28).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(28).description = [{'Computes a complex field array from a set of Gaussian mode coefficients'}];
index(28).keys = [{'mode'},{'coefficient'},{'field'},{'Gaussian'}];
index(28).cats = [{'all'},{'beam_analysis'}];
index(29).name = 'FT_mode_content';
index(29).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(29).description = [{'Computes the deconvolution of a given field distribution,'},{'field_in, into Gaussian modes'}];
index(29).keys = [{'deconvolution'},{'field'},{'distribution'},{'Gaussian'},{'mode'},{'content'}];
index(29).cats = [{'all'},{'beam_analysis'}];
index(30).name = 'FT_new_mode_coefficients';
index(30).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(30).description = [{'Returns an empty array for storing mode coefficients'}];
index(30).keys = [{'empty'},{'mode'},{'coefficient'},{'new'}];
index(30).cats = [{'all'},{'beam_analysis'}];
index(31).name = 'FT_normalise_data';
index(31).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(31).description = [{'Normalises a data set so that max/min values are those given by user'}];
index(31).keys = [{'normalise'},{'data'},{'max'},{'min'},{'maximum'},{'minimum'}];
index(31).cats = [{'all'},{'beam_analysis'}];
index(32).name = 'FT_power_in_field';
index(32).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(32).description = [{'Computes the total power in a complex field array'}];
index(32).keys = [{'total'},{'power'},{'complex'},{'field'}];
index(32).cats = [{'all'},{'beam_analysis'}];
index(33).name = 'FT_print_gauss_coefficients';
index(33).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(33).description = [{'Prints the content of a mode coefficient structure "gc"'}];
index(33).keys = [{'print'},{'content'},{'Gaussian'},{'mode'},{'coefficients'},{'gc'}];
index(33).cats = [{'all'},{'beam_analysis'}];
index(34).name = 'FT_print_mode_coefficients';
index(34).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(34).description = [{'Prints the content of a mode coefficient structure "gc"'}];
index(34).keys = [{'print'},{'content'},{'mode'},{'coefficient'},{'gc'}];
index(34).cats = [{'all'},{'beam_analysis'}];
index(35).name = 'FT_remove_piston_data';
index(35).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(35).description = [{'Removes a tilt from a 2D data array'}];
index(35).keys = [{'remove'},{'tilt'},{'2D'},{'piston'},{'data'}];
index(35).cats = [{'all'},{'beam_analysis'}];
index(36).name = 'FT_rotate_2D';
index(36).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(36).description = [{'Rotates a 2D data grid by a given angle'}];
index(36).keys = [{'rotate'},{'2D'},{'angle'}];
index(36).cats = [{'all'},{'beam_analysis'}];
index(37).name = 'FT_set_mode_coefficient';
index(37).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(37).description = [{'Sets the value of a mode coefficient in a structure "gc"'}];
index(37).keys = [{'set'},{'mode'},{'coefficient'},{'gc'}];
index(37).cats = [{'all'},{'beam_analysis'}];
index(38).name = 'FT_SG_field';
index(38).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis';
index(38).description = [{'Fills a 2D grip with the field amplitudes'},{'for a super-Gaussian beam at its waist'}];
index(38).keys = [{'2D'},{'fill'},{'field'},{'amplitude'},{'super'},{'Gaussian'},{'waist'}];
index(38).cats = [{'all'},{'beam_analysis'}];
index(39).name = 'FTE_fit_LG';
index(39).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis\example';
index(39).description = [{'NO_DESCRIPTION'}];
index(39).keys = [{'NO_MARKER'}];
index(39).cats = [{'all'},{'beam_analysis'},{'example'}];
index(40).name = 'FTE_mode_contribution';
index(40).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis\example';
index(40).description = [{'NO_DESCRIPTION'}];
index(40).keys = [{'NO_MARKER'}];
index(40).cats = [{'all'},{'beam_analysis'},{'example'}];
index(41).name = 'FTE_power_in_field';
index(41).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis\example';
index(41).description = [{'NO_DESCRIPTION'}];
index(41).keys = [{'NO_MARKER'}];
index(41).cats = [{'all'},{'beam_analysis'},{'example'}];
index(42).name = 'FTE_rotate';
index(42).path = 'C:\SVN\simtools\trunk\src\new\beam_analysis\example';
index(42).description = [{'NO_DESCRIPTION'}];
index(42).keys = [{'NO_MARKER'}];
index(42).cats = [{'all'},{'beam_analysis'},{'example'}];
index(43).name = 'FT_cavity_fields';
index(43).path = 'C:\SVN\simtools\trunk\src\new\cavity';
index(43).description = [{'Computes the fields of a two mirror cavity'}];
index(43).keys = [{'field'},{'two'},{'mirror'}];
index(43).cats = [{'all'},{'cavity'}];
index(44).name = 'FT_cavity_roundtrip_Gouy';
index(44).path = 'C:\SVN\simtools\trunk\src\new\cavity';
index(44).description = [{'Computes the roundtrip Gouy phase of a cavity eigenmode'}];
index(44).keys = [{'Guoy'},{'phase'},{'roundtrip'},{'eigenmode'}];
index(44).cats = [{'all'},{'cavity'}];
index(45).name = 'FT_cavity_throughput';
index(45).path = 'C:\SVN\simtools\trunk\src\new\cavity';
index(45).description = [{'Computes the throughput of a cavity as a function of power'},{'transmittance and cavity finesse'}];
index(45).keys = [{'throughput'},{'transmittance'}];
index(45).cats = [{'all'},{'cavity'}];
index(46).name = 'FT_fit_finesse';
index(46).path = 'C:\SVN\simtools\trunk\src\new\cavity';
index(46).description = [{'Fits the Airy function of a cavity to a measured scan of'},{'cavity throughput'}];
index(46).keys = [{'Airy'},{'throughput'}];
index(46).cats = [{'all'},{'cavity'}];
index(47).name = 'FT_w2Rc';
index(47).path = 'C:\SVN\simtools\trunk\src\new\cavity';
index(47).description = [{'Computes mirror radius of curvature from beamsize for'},{'a linear, symmetric cavity'}];
index(47).keys = [{'radius'},{'curvature'}];
index(47).cats = [{'all'},{'cavity'}];
index(48).name = 'FT_flip_colormap';
index(48).path = 'C:\SVN\simtools\trunk\src\new\colormaps';
index(48).description = [{'Returns colormap, good for bipolar signals'}];
index(48).keys = [{'colormap'},{'colourmap'},{'color'},{'colour'},{'bipolar'},{'flip'}];
index(48).cats = [{'all'},{'colormaps'}];
index(49).name = 'FT_neg_colormap';
index(49).path = 'C:\SVN\simtools\trunk\src\new\colormaps';
index(49).description = [{'Returns negative part of FT_flip_colormap'}];
index(49).keys = [{'colormap'},{'colourmap'},{'color'},{'colour'},{'negative'},{'neg'},{'FT_flip_colormap'}];
index(49).cats = [{'all'},{'colormaps'}];
index(50).name = 'FT_pos_colormap';
index(50).path = 'C:\SVN\simtools\trunk\src\new\colormaps';
index(50).description = [{'Returns positive part of FT_flip_colormap'}];
index(50).keys = [{'colormap'},{'colourmap'},{'color'},{'colour'},{'positive'},{'pos'},{'FT_flip_colormap'}];
index(50).cats = [{'all'},{'colormaps'}];
index(51).name = 'FT_hanning_window2D';
index(51).path = 'C:\SVN\simtools\trunk\src\new\FFT_maps';
index(51).description = [{'NO_DESCRIPTION'}];
index(51).keys = [{'2D'},{'hanning'},{'window'}];
index(51).cats = [{'all'},{'FFT_maps'}];
index(52).name = 'FT_map_rms';
index(52).path = 'C:\SVN\simtools\trunk\src\new\FFT_maps';
index(52).description = [{'Computes the rms surface distortion of a mirror surface map'}];
index(52).keys = [{'rms'},{'surface'},{'distortion'},{'mirror'},{'map'},{'root'},{'mean'},{'square'}];
index(52).cats = [{'all'},{'FFT_maps'}];
index(53).name = 'FTE_FFT2D_surface_map';
index(53).path = 'C:\SVN\simtools\trunk\src\new\FFT_maps\example';
index(53).description = [{'NO_DESCRIPTION'}];
index(53).keys = [{'NO_MARKER'}];
index(53).cats = [{'all'},{'FFT_maps'},{'example'}];
index(54).name = 'FT_add_mirror_map';
index(54).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(54).description = [{'Computes mirror maps for reflection and transmission of a mirror'}];
index(54).keys = [{'add'},{'mirror'},{'map'}];
index(54).cats = [{'all'},{'FFT_propagation'}];
index(55).name = 'FT_FFT_cavity_scan';
index(55).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(55).description = [{'Reads temporary files and computes the circulating power'},{'as a function of the cavity tuning'}];
index(55).keys = [{'circulating'},{'power'},{'cavity'},{'scan'}];
index(55).cats = [{'all'},{'FFT_propagation'}];
index(56).name = 'FT_FFT_lens';
index(56).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(56).description = [{'Computes the effect of a lens on a 2D complex light field'}];
index(56).keys = [{'2D'},{'field'},{'lens'}];
index(56).cats = [{'all'},{'FFT_propagation'}];
index(57).name = 'FT_FFT_mirror';
index(57).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(57).description = [{'Computes the effect of a mirror on a 2D complex light field'}];
index(57).keys = [{'2D'},{'field'},{'mirror'}];
index(57).cats = [{'all'},{'FFT_propagation'}];
index(58).name = 'FT_FFT_plot_field';
index(58).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(58).description = [{'Plots 2D arrays of a light field amplitude in the x-y plane'}];
index(58).keys = [{'plot'},{'field'},{'2D'},{'amplitude'}];
index(58).cats = [{'all'},{'FFT_propagation'}];
index(59).name = 'FT_FFT_precompute_roundtrips';
index(59).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(59).description = [{'Computes fields inside a cavity and saves result in'},{'temporary data files'}];
index(59).keys = [{'field'},{'cavity'}];
index(59).cats = [{'all'},{'FFT_propagation'}];
index(60).name = 'FT_FFT_propagate';
index(60).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(60).description = [{'Performs FFT propagation of a 2D complex light field'}];
index(60).keys = [{'propagate'},{'propagation'},{'2D'},{'field'}];
index(60).cats = [{'all'},{'FFT_propagation'}];
index(61).name = 'FT_FFT_reorganise_tmp_files';
index(61).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(61).description = [{'Reads temporary files saved by FT_FFT_precompute_roundtrips'},{'and saves them in a new format for FT_FFT_cavity_scan'}];
index(61).keys = [{'reorganise'},{'tmp'},{'temporary'},{'format'},{'FT_FFT_precompute_roundtrips'},{'FT_FFT_cavity_scan'}];
index(61).cats = [{'all'},{'FFT_propagation'}];
index(62).name = 'FT_FFT_required_cavity_roundtrips';
index(62).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(62).description = [{'Estimates required number of roundtrips to achieve requested'},{'accuracy in computing the circulating power'}];
index(62).keys = [{'estimate'},{'required'},{'accuracy'},{'cavity'},{'power'}];
index(62).cats = [{'all'},{'FFT_propagation'}];
index(63).name = 'FT_FFT_required_scan_accuracy';
index(63).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(63).description = [{'Estimates the required number of steps in a full cavity scan'},{'to find peaks'}];
index(63).keys = [{'estimate'},{'required'},{'steps'},{'peaks'}];
index(63).cats = [{'all'},{'FFT_propagation'}];
index(64).name = 'FT_FFT_results_buildup';
index(64).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(64).description = [{'Reads temporary files saved by FT_FFT_precompute_roundtrips'},{'and saves in a new format for FT_FFT_cavity_scan'}];
index(64).keys = [{'reorganise'},{'tmp'},{'temporary'},{'format'},{'FT_FFT_cavity_scan'},{'FT_FFT_precompute_roundtrips'}];
index(64).cats = [{'all'},{'FFT_propagation'}];
index(65).name = 'FT_FFT_results_cavity_fields';
index(65).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(65).description = [{'Computes the reflected and transmitted fields of a cavity'}];
index(65).keys = [{'reflected'},{'transmitted'},{'field'}];
index(65).cats = [{'all'},{'FFT_propagation'}];
index(66).name = 'FT_FFT_scan_range';
index(66).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(66).description = [{'Creates a vector of positions (tunings) for a cavity scan'}];
index(66).keys = [{'create'},{'vector'},{'position'},{'scan'},{'range'}];
index(66).cats = [{'all'},{'FFT_propagation'}];
index(67).name = 'FT_init_grid';
index(67).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(67).description = [{'Creates a structure grid for storing useful information'}];
index(67).keys = [{'create'},{'grid'},{'init'}];
index(67).cats = [{'all'},{'FFT_propagation'}];
index(68).name = 'FT_tilt_map';
index(68).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation';
index(68).description = [{'Computes a tilted mirror map'}];
index(68).keys = [{'tilt'},{'tilted'},{'mirror'},{'map'}];
index(68).cats = [{'all'},{'FFT_propagation'}];
index(69).name = 'FTE_FFT_premodecleaner';
index(69).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation\example';
index(69).description = [{'NO_DESCRIPTION'}];
index(69).keys = [{'NO_MARKER'}];
index(69).cats = [{'all'},{'FFT_propagation'},{'example'}];
index(70).name = 'FTE_FFT_results_premodecleaner';
index(70).path = 'C:\SVN\simtools\trunk\src\new\FFT_propagation\example';
index(70).description = [{'NO_DESCRIPTION'}];
index(70).keys = [{'NO_MARKER'}];
index(70).cats = [{'all'},{'FFT_propagation'},{'example'}];
index(71).name = 'FT_convert_finesse_4D';
index(71).path = 'C:\SVN\simtools\trunk\src\new\finesse_utils';
index(71).description = [{'NO_DESCRIPTION'}];
index(71).keys = [{'convert'},{'finesse'},{'4D'}];
index(71).cats = [{'all'},{'finesse_utils'}];
index(72).name = 'FT_init_Finesse';
index(72).path = 'C:\SVN\simtools\trunk\src\new\finesse_utils';
index(72).description = [{'Creates a new "FT" structure'}];
index(72).keys = [{'create'},{'new'},{'FT'},{'structure'}];
index(72).cats = [{'all'},{'finesse_utils'}];
index(73).name = 'FT_make_finesse_video';
index(73).path = 'C:\SVN\simtools\trunk\src\new\finesse_utils';
index(73).description = [{'Reads finesse output file with x3axis and creates video output'}];
index(73).keys = [{'make'},{'finesse'},{'video'},{'create'},{'x3axis'}];
index(73).cats = [{'all'},{'finesse_utils'}];
index(74).name = 'FT_fit_beam_size';
index(74).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(74).description = [{'Fits the beam size function to a set of measured sizes of a Gaussian'},{'beam to determine the beam waist size and position.'}];
index(74).keys = [{'size'},{'Gaussian'},{'waist'},{'position'}];
index(74).cats = [{'all'},{'GaussBeams'}];
index(75).name = 'FT_init_gauss_param';
index(75).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(75).description = [{'Creates a structure "gp" storing the Gaussian beam parameter "q"'}];
index(75).keys = [{'Gaussian'},{'parameter'},{'q'},{'gp'},{'create'},{'init'}];
index(75).cats = [{'all'},{'GaussBeams'}];
index(76).name = 'FT_q_to_Psi';
index(76).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(76).description = [{'Computes the Gouy Phase Psi(z) from the Gaussian beam parameter q'}];
index(76).keys = [{'Gaussian'},{'parameter'},{'q'},{'Guoy'},{'phase'},{'psi'}];
index(76).cats = [{'all'},{'GaussBeams'}];
index(77).name = 'FT_q_to_Rc';
index(77).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(77).description = [{'Computes the radius of curvature of a phase front from the Gaussian '},{'beam parameter q'}];
index(77).keys = [{'radius'},{'curvature'},{'Gaussian'},{'parameter'},{'q'},{'RC'}];
index(77).cats = [{'all'},{'GaussBeams'}];
index(78).name = 'FT_q_to_w';
index(78).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(78).description = [{'Computes the beam radius from the Gaussian beam parameter q'}];
index(78).keys = [{'Gaussian'},{'parameter'},{'q'},{'radius'},{'w'}];
index(78).cats = [{'all'},{'GaussBeams'}];
index(79).name = 'FT_q_to_w0z';
index(79).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(79).description = [{'Computes the waist radius and waist position from the Gaussian beam'},{'parameter q'}];
index(79).keys = [{'waist'},{'radius'},{'position'},{'Gaussian'},{'parameter'},{'q'},{'w0z'}];
index(79).cats = [{'all'},{'GaussBeams'}];
index(80).name = 'FT_q_to_zr';
index(80).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(80).description = [{'Computes the Rayleigh range from the Gaussian beam parameter q'}];
index(80).keys = [{'Gaussian'},{'parameter'},{'q'},{'Rayleigh'},{'range'},{'zr'}];
index(80).cats = [{'all'},{'GaussBeams'}];
index(81).name = 'FT_Rcw_to_w0z';
index(81).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(81).description = [{'Computes the waist radius and waist position from beam size w(z)'},{'and radius of curvature Rc(z)'}];
index(81).keys = [{'waist'},{'radius'},{'w0z'},{'position'},{'radius'},{'curvature'},{'Rcw'}];
index(81).cats = [{'all'},{'GaussBeams'}];
index(82).name = 'FT_update_gauss_param';
index(82).path = 'C:\SVN\simtools\trunk\src\new\GaussBeams';
index(82).description = [{'Computes the parameters of a Gaussian beam from the beam parameter'}];
index(82).keys = [{'Gaussian'},{'parameter'},{'q'},{'update'}];
index(82).cats = [{'all'},{'GaussBeams'}];
index(83).name = 'FT_Agilent6000_bin_to_ascii';
index(83).path = 'C:\SVN\simtools\trunk\src\new\instruments';
index(83).description = [{'Reads a binary file saved by an Agilent 6000 scope and saves'},{'the data as an ascii file'}];
index(83).keys = [{'convert'},{'Agilent6000'},{'bin'},{'ascii'},{'data'}];
index(83).cats = [{'all'},{'instruments'}];
index(84).name = 'FT_read_Agilent6000_ascii';
index(84).path = 'C:\SVN\simtools\trunk\src\new\instruments';
index(84).description = [{'Reads an ascii data file saved by an Agilent 6000 scope'}];
index(84).keys = [{'read'},{'Agilent6000'},{'ascii'},{'data'}];
index(84).cats = [{'all'},{'instruments'}];
index(85).name = 'FT_read_Agilent6000_bin';
index(85).path = 'C:\SVN\simtools\trunk\src\new\instruments';
index(85).description = [{'Reads a binary data file saved by an Agilent 6000 scope'}];
index(85).keys = [{'read'},{'Agilent6000'},{'bin'},{'data'}];
index(85).cats = [{'all'},{'instruments'}];
index(86).name = 'FT_read_Agilent6000_info';
index(86).path = 'C:\SVN\simtools\trunk\src\new\instruments';
index(86).description = [{'Reads info file saved by an Agilent 6000 scope'}];
index(86).keys = [{'read'},{'Agilent6000'},{'info'}];
index(86).cats = [{'all'},{'instruments'}];
index(87).name = 'FT_read_HPNA_ascii';
index(87).path = 'C:\SVN\simtools\trunk\src\new\instruments';
index(87).description = [{'Reads an ascii data file saved by an HP network analyser'}];
index(87).keys = [{'read'},{'ascii'},{'data'},{'HP'},{'network'},{'analyser'}];
index(87).cats = [{'all'},{'instruments'}];
index(88).name = 'FT_log_ticks';
index(88).path = 'C:\SVN\simtools\trunk\src\new\matlab_utils';
index(88).description = [{'Generates a string for setting major tick marks in a plot'}];
index(88).keys = [{'major'},{'tick'},{'mark'},{'plot'},{'log'}];
index(88).cats = [{'all'},{'matlab_utils'}];
index(89).name = 'FT_init_cavity';
index(89).path = 'C:\SVN\simtools\trunk\src\new\optical_components';
index(89).description = [{'Creates "cavity" structure for storing parameters of cavity'}];
index(89).keys = [{'init'},{'cavity'},{'structure'},{'parameter'}];
index(89).cats = [{'all'},{'optical_components'}];
index(90).name = 'FT_init_mirror';
index(90).path = 'C:\SVN\simtools\trunk\src\new\optical_components';
index(90).description = [{'Creates "mirror" structure for storing parameters of a mirror'}];
index(90).keys = [{'init'},{'mirror'},{'structure'},{'parameter'}];
index(90).cats = [{'all'},{'optical_components'}];
index(91).name = 'FT_init_space';
index(91).path = 'C:\SVN\simtools\trunk\src\new\optical_components';
index(91).description = [{'Creates "space" structure for storing parameters of a free space'}];
index(91).keys = [{'init'},{'free'},{'space'},{'structure'},{'parameter'},{'propagation'}];
index(91).cats = [{'all'},{'optical_components'}];
index(92).name = 'FT_print_progress';
index(92).path = 'C:\SVN\simtools\trunk\src\new\timer';
index(92).description = [{'Prints a progress statement in a loop'}];
index(92).keys = [{'progress'}];
index(92).cats = [{'all'},{'timer'}];
index(93).name = 'FT_create_tmp_filename';
index(93).path = 'C:\SVN\simtools\trunk\src\new\utils';
index(93).description = [{'Creates a name for temporary files using the current datestring'}];
index(93).keys = [{'date'},{'time'},{'datetime'},{'datestring'},{'temporary'},{'create'},{'tmp'},{'filename'}];
index(93).cats = [{'all'},{'utils'}];
index(94).name = 'FT_datestring';
index(94).path = 'C:\SVN\simtools\trunk\src\new\utils';
index(94).description = [{'Creates datestring of current date and time'}];
index(94).keys = [{'date'},{'time'},{'datetime'},{'datestring'},{'create'}];
index(94).cats = [{'all'},{'utils'}];
